Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.tracking.events
Class CampaignUserActivityEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.campaign.tracking.events.CampaignUserActivityEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

    public class CampaignUserActivityEvent

extends TrackingEvent

Event for tracking generic campaign events. These associate users with specific campaign, scenario instances.

See Also
  Serialized Form

Field Summary
`static String` | `CAMPAIGN_ID` Event attribute key name for the campaign id Attribute value is a String
`static String` | `SCENARIO_ID` Event attribute key name for the scenario id Attribute value is a String
`static String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`CampaignUserActivityEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, String aCampaignId, String aScenarioId)` Create a new DisplayCampaignEvent.
`CampaignUserActivityEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aCampaignId, String aScenarioId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also
    Constants Summary

### CAMPAIGN_ID

    public static final String CAMPAIGN_ID

  Event attribute key name for the campaign id Attribute value is a String

  See Also
    Constants Summary

### SCENARIO_ID

    public static final String SCENARIO_ID

  Event attribute key name for the scenario id Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### CampaignUserActivityEvent

    public CampaignUserActivityEvent(javax.servlet.http.HttpSession session,
                                     javax.servlet.http.HttpServletRequest theRequest,
                                     String aCampaignId,
                                     String aScenarioId)

  Create a new DisplayCampaignEvent. This ctor must be used for tracking anonymous users

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aCampaignId` - campaign id for the campaign from which the item was displayed
    `aScenarioId` - scenario id for the scenario (within the campaign) for which the item was displayed

### CampaignUserActivityEvent

    public CampaignUserActivityEvent(String theSessionId,
                                     String theUserId,
                                     javax.servlet.http.HttpServletRequest theRequest,
                                     String aCampaignId,
                                     String aScenarioId)

  Deprecated

  Create a new DisplayCampaignEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aCampaignId` - campaign id for the campaign from which the item was displayed
    `aScenarioId` - scenario id for the scenario (within the campaign) for which the item was displayed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved